org.eclipse.microprofile.context.tck

## Class MPConfigBean

- java.lang.Object
- - org.eclipse.microprofile.context.tck.MPConfigBean

    @ApplicationScoped
    public class MPConfigBean
    extends Object

### Nested Class Summary

Nested Classes
`static interface` `MPConfigBean.Max5Queue`

### Field Summary

Fields
`protected CompletableFuture<Integer>` `completedFuture`
`protected Executor` `contextSnapshot`

### Constructor Summary

Constructors
Constructor and Description
`MPConfigBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CompletableFuture<Integer>` `getCompletedFuture()`
`Executor` `getContextSnapshot()`
`protected void` `setCompletedFuture(ManagedExecutor executor)`
`protected void` `setContextSnapshot(ThreadContext contextPropagator)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### completedFuture

    protected CompletableFuture<Integer> completedFuture

#### contextSnapshot

    protected Executor contextSnapshot

### Constructor Detail

#### MPConfigBean

    public MPConfigBean()

### Method Detail

#### setCompletedFuture

    @Inject
    protected void setCompletedFuture(ManagedExecutor executor)

#### setContextSnapshot

    @Inject
    protected void setContextSnapshot(@Named(value="producedThreadContext")
                                              ThreadContext contextPropagator)

#### getCompletedFuture

    public CompletableFuture<Integer> getCompletedFuture()

#### getContextSnapshot

    public Executor getContextSnapshot()